Page MenuHomePhabricator

Do an analysis (SWOT, cost, whatever) of the benefits and losses of the cross-wiki-upload-function
Closed, ResolvedPublic

Description

See title, and publish on wiki.

https://www.mediawiki.org/wiki/Cross-wiki_upload

Event Timeline

Josve05a created this task.Dec 9 2015, 9:19 PM
Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a subscriber: Josve05a.

As mentioned at T120867, I don't think we'll be doing this, but leaving the task open for now.

Also, this task definitely has way too many projects associated.

Also, this task definitely has way too many projects associated.

  • 2 projects
  • 3 usergroups
  • 2 tags

;)

Steinsplitter moved this task from Incoming to Backlog on the Commons board.Dec 10 2015, 12:03 PM
matmarex triaged this task as Lowest priority.Dec 16 2015, 11:32 AM
Qgil updated the task description. (Show Details)Dec 16 2015, 9:55 PM
Qgil set Security to None.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 11 2016, 6:51 PM
Gunnex added a subscriber: Gunnex.Feb 16 2016, 10:54 AM

Hi! Do you mean something like the (ongoing) check of Cross-wiki uploads from pt.wikipedia.org?

Hi! Do you mean something like the (ongoing) check of Cross-wiki uploads from pt.wikipedia.org?

Yes, but with an summary/analasys if it has been worth the effort to "have this". Has there been more images? Has efforts been needed more from the Commons community than before. etc.

Well, I'll continue my check — but the current interim results are IMHO not acceptable:

877 Cross-wiki uploads from pt.wikipedia.org in (+/-) 1 month =

Bad ratio = 85,06 %
Fresh tagged ratio = 49,26 % (the ratio is in fact higher) --> that means that almost 50% of the related uploads were not checked & tagged (copyvios/permissions+source/project scope) or were overlooked after 3 months living in Commons.

And... sorry to say: I would expect similar results for cross-wiki uploads from es.wikipedia.org as well. And surfing sometimes around the file log, checking uploads from other wikis... the situation is quite horrific. Just take one of the logs from my page and go through it... there are full not yet tagged copyvios...

A system to identify clear copyright violations (using google api or equivalent) would be helpful, not just for this upload tool but also for Upload Wizard.

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptAug 25 2016, 5:46 PM
Nemo_bis closed this task as Resolved.Sep 23 2016, 11:01 PM
Nemo_bis added a subscriber: Nemo_bis.

The SWOT has been done in the wiki style, as a discussion: https://commons.wikimedia.org/w/index.php?title=Commons:Village_pump/Proposals&oldid=207565044#Rfc:_Should_we_request_a_configuration_change_to_shut_down_cross-wiki_uploads.3F

As of now I doubt there is anyone advocating for the survival of the tool, so I don't think there is interest in further analysis, other than by the community itself. To get a better SWOT, we can send notices to the various wikis so that more people join the discussion on Commons.